/*****************************************************************************

			      PilotForth

      Copyright (C) 1997, Ivan A. Curtis.  All rights reserved.

			       based on
C-FORTH: a portable, C-coded figFORTH interpreter by Allan Pratt April 1985.

This program may not be redistibuted in part or in whole without this Copyright
Message being included at the top of each file.

   This is free software, licensed under the GNU Public License V2.
		  See the file COPYING for details.

*******************************************************************************
*******************************************************************************

Filename:	Forth/memory.c

Description:	Memory routines for PilotForth

Update History:   (most recent first)
   I. Curtis  15-May-97 20:59 -- v0.1 Released.
   I. Curtis  30-Apr-97 21:16 -- Created.

******************************************************************************/
#define VocabDBName  "VocabDB"	/* Name of Forth Vocabulary Database */
#define VocabDBType  'fVoc'	/* Vocabulary Database type identifier */
#define BlockDBName  "BlockDB"	/* Name of Forth Vocabulary Database */
#define BlockDBType  'fBlk'	/* Vocabulary Database type identifier */
#define forthAppType 'i4th'	/* Database creator identifier */

int fth_db_open(void);
int fth_db_close(void);
int fth_db_map(void);
int fth_db_unmap(void);
short fth_mfetch(short addr);
void fth_mstore(short addr, short data);
int fth_callot(short n);
int fth_blk_write(short blkno, short addr);
int fth_blk_read(short blkno, short addr);
